Skip to main content

Upload a File

Upload a file to the server using multipart/form-data. The file must be included in the request body under the file form field.

Example:
curl -X POST api/v1/actions/upload_file -H 'x-api-key: your-api-key' -H 'x-api-secret: your-api-secret' -F 'file=@/path/to/file.png'

Header Parameters
x-api-key uuid — REQUIRED
x-api-secret uuid — REQUIRED
Request Body — REQUIRED
file binary
Responses
Success
Schema — OPTIONAL
data object[]
origina_name string
company string — OPTIONAL
uploadedUser string — OPTIONAL
mime_type string
size number
path string
md5_hash string
createdAt string — OPTIONAL
updatedAt string
__v number — OPTIONAL
file_name string
file_id string
meta object
total number
page number
limit number
total_pages number
Failed
Schema — OPTIONAL
status string
request_id string
error string